//***  Environment Box for Casablanca ***
textures/casablanca/cb_env
{
	qer_editorimage textures/casablanca/cb_env.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 0.95 0.9 1 70 315 60
	q3map_surfacelight 50
	skyparms env/cb_env - -
}

//*** Palm fronds ***
textures/casablanca/cb_palm
{
	qer_editorimage textures/casablanca/cb_palm.tga
	surfaceparm trans
	surfaceparm alphashadow
	cull none
	nopicmip
	{
		map textures/casablanca/cb_palm.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity 
	}
	{
		map $lightmap 
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/casablanca/cb_palm2
{
	qer_editorimage textures/casablanca/cb_palm2.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/casablanca/cb_palm2.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity 
	}
	{
		map $lightmap 
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

//*** Flower bed ***
textures/casablanca/cb_flowers
{
	qer_editorimage textures/casablanca/cb_flowers.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/casablanca/cb_flowers.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity 
	}
	{
		map $lightmap 
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/casablanca/cb_leaves
{
	qer_editorimage textures/casablanca/cb_leaves.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/casablanca/cb_leaves.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity 
	}
	{
		map $lightmap 
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//*** Curtain of beads ***
textures/casablanca/cb_beads
{
	qer_editorimage textures/casablanca/cb_beads.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/casablanca/cb_beads.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity 
	}
	{
		map $lightmap 
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//*** Transparent, non-solid ***
textures/casablanca/cb_trans
{
	qer_editorimage textures/casablanca/cb_trans.tga
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	cull none
	nopicmip
	{
		map textures/casablanca/cb_trans.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity 
	}
	{
		map $lightmap 
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
//*** Glowing window ***
textures/casablanca/cb_win200
{
        qer_editorimage textures/casablanca/cb_winlit.tga
        q3map_surfaceLight 200
        {
                map $lightmap
                rgbGen identity
        }
        {
		map textures/casablanca/cb_winlit.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
        }
        {
                map textures/casablanca/cb_winlit.blend.tga
		blendfunc GL_ONE GL_ONE
        }
}
textures/casablanca/cb_wpane200
{
        qer_editorimage textures/casablanca/cb_wpane.tga
        q3map_surfaceLight 200
        {
                map $lightmap
                rgbGen identity
        }
        {
		map textures/casablanca/cb_wpane.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
        }
        {
                map textures/casablanca/cb_wpane.blend.tga
		blendfunc GL_ONE GL_ONE
        }
}

//*** Glowing lamps ***
textures/casablanca/cb_lampshade
{
        qer_editorimage textures/casablanca/cb_lampshade.tga
        q3map_surfaceLight 1000
        {
                map $lightmap
                rgbGen identity
        }
        {
		map textures/casablanca/cb_lampshade.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
        }
        {
                map textures/casablanca/cb_lampshade.blend.tga
		blendfunc GL_ONE GL_ONE
        }
}

textures/casablanca/cb_light1k
{
        qer_editorimage textures/casablanca/cb_light.tga
        q3map_surfaceLight 1000
        {
                map $lightmap
                rgbGen identity
        }
        {
		map textures/casablanca/cb_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
        }
        {
                map textures/casablanca/cb_light.blend.tga
		blendfunc GL_ONE GL_ONE
        }
}
textures/casablanca/cb_lightbright1k
{
        qer_editorimage textures/casablanca/cb_light.tga
        q3map_surfaceLight 1000
        {
                map $lightmap
                rgbGen identity
        }
        {
		map textures/casablanca/cb_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
        }
        {
                map textures/casablanca/cb_bright.blend.tga
		blendfunc GL_ONE GL_ONE
        }
}

textures/casablanca/cb_light2k
{
        qer_editorimage textures/casablanca/cb_light.tga
        q3map_surfaceLight 2000
        {
                map $lightmap
                rgbGen identity
        }
        {
		map textures/casablanca/cb_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
        }
        {
                map textures/casablanca/cb_light.blend.tga
		blendfunc GL_ONE GL_ONE
        }
}
textures/casablanca/cb_light6k
{
        qer_editorimage textures/casablanca/cb_light.tga
        q3map_surfaceLight 6000
        {
                map $lightmap
                rgbGen identity
        }
        {
		map textures/casablanca/cb_light.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
        }
        {
                map textures/casablanca/cb_light.blend.tga
		blendfunc GL_ONE GL_ONE
        }
}

//*** Lamp 1 top ***
textures/casablanca/cb_lamp1t
{
        qer_editorimage textures/casablanca/cb_lamp1t.tga
        q3map_surfaceLight 400
        {
                map $lightmap
                rgbGen identity
        }
        {
		map textures/casablanca/cb_lamp1t.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
        }
        {
                map textures/casablanca/cb_lamp1t.blend.tga
		blendfunc GL_ONE GL_ONE
        }
}

//*** Lamp1 base ***
textures/casablanca/cb_lamp1b
{
        qer_editorimage textures/casablanca/cb_lamp1b.tga
        q3map_surfaceLight 400
        {
                map $lightmap
                rgbGen identity
        }
        {
		map textures/casablanca/cb_lamp1b.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
        }
        {
                map textures/casablanca/cb_lamp1b.blend.tga
		blendfunc GL_ONE GL_ONE
        }
}

//*** Ricks sign ***
textures/casablanca/cb_ricksign
{
        qer_editorimage textures/casablanca/cb_ricksign.tga
        {
                map $lightmap
                rgbGen identity
        }
        {
		map textures/casablanca/cb_ricksign.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
        }
        {
                map textures/casablanca/cb_ricksign.blend.tga
		blendfunc GL_ONE GL_ONE
        }
}
